Index: src/sas/sascalc/data_util/calcthread.py
===================================================================
--- src/sas/sascalc/data_util/calcthread.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
+++ src/sas/sascalc/data_util/calcthread.py	(revision a1b8fee73528559155793dd74cda07d0c32e9d72)
@@ -4,4 +4,5 @@
 #  \brief Abstract class for defining calculation threads.
 #
+from __future__ import print_function
 
 import thread
@@ -295,5 +296,5 @@
     """
     def __init__(self, n=20000):
-        print thread.get_ident()
+        print(thread.get_ident())
         self.starttime = clock()
         self.done = False
@@ -307,20 +308,20 @@
         self.work2.queue(n)
         self.work3.queue(n)
-        print "Expect updates from Main every second and from thread every 2.5 seconds"
-        print ""
+        print("Expect updates from Main every second and from thread every 2.5 seconds")
+        print("")
         self.work.ready(.5)
         while not self.done:
             sleep(1)
-            print "Main thread %d at %.2f" % (thread.get_ident(),
-                                              clock() - self.starttime)
+            print("Main thread %d at %.2f" % (thread.get_ident(),
+                                              clock() - self.starttime))
 
     def update(self, i=0):
-        print "Update i=%d from thread %d at %.2f" % (i, thread.get_ident(),
-                                                      clock() - self.starttime)
+        print("Update i=%d from thread %d at %.2f" % (i, thread.get_ident(),
+                                                      clock() - self.starttime))
         self.work.ready(2.5)
 
     def complete(self, total=0.0):
-        print "Complete total=%g from thread %d at %.2f" % (total,
+        print("Complete total=%g from thread %d at %.2f" % (total,
                                                     thread.get_ident(),
-                                                    clock() - self.starttime)
+                                                    clock() - self.starttime))
         self.done = True
Index: src/sas/sascalc/data_util/formatnum.py
===================================================================
--- src/sas/sascalc/data_util/formatnum.py	(revision 9a5097cd1c76689d1f997b85ba43d12a95d8f243)
+++ src/sas/sascalc/data_util/formatnum.py	(revision a1b8fee73528559155793dd74cda07d0c32e9d72)
@@ -37,5 +37,5 @@
 formatter.compact flag.
 """
-from __future__ import division
+from __future__ import division, print_function
 
 import math
Index: src/sas/sascalc/data_util/nxsunit.py
===================================================================
--- src/sas/sascalc/data_util/nxsunit.py	(revision b699768550de9d4b35b087234ec1d2a461922bab)
+++ src/sas/sascalc/data_util/nxsunit.py	(revision 8e9536f96bb3931f62eeba158ab01e1a3a25ded7)
@@ -136,5 +136,5 @@
     sld = { '10^-6 Angstrom^-2': 1e-6, 'Angstrom^-2': 1 }
     Q = { 'invA': 1, 'invAng': 1, 'invAngstroms': 1, '1/A': 1, 
-          '10^-3 Angstrom^-1': 1e-3, '1/cm': 1e-8,
+          '10^-3 Angstrom^-1': 1e-3, '1/cm': 1e-8, '1/m': 1e-10,
           'nm^-1': 0.1, '1/nm': 0.1, 'n_m^-1': 0.1 }
 
@@ -195,4 +195,5 @@
     _check(1,Converter('n_m^-1')(10,'invA')) # 10 nm^-1 = 1 inv Angstroms
     _check(2,Converter('mm')(2000,'m')) # 2000 mm -> 2 m
+    _check(2.011e10,Converter('1/A')(2.011,"1/m")) # 2.011 1/A -> 2.011 * 10^10 1/m
     _check(0.003,Converter('microseconds')(3,units='ms')) # 3 us -> 0.003 ms
     _check(45,Converter('nanokelvin')(45))  # 45 nK -> 45 nK
Index: src/sas/sascalc/data_util/qsmearing.py
===================================================================
--- src/sas/sascalc/data_util/qsmearing.py	(revision 235f514ba93b57fa63e44309f182acef0b98bb55)
+++ src/sas/sascalc/data_util/qsmearing.py	(revision 235f514ba93b57fa63e44309f182acef0b98bb55)
@@ -65,11 +65,16 @@
             raise ValueError('one or more of your dx values are negative, please check the data file!')
 
-    if _found_sesans == True:
-        #Pre-compute the Hankel matrix (H)
-        qmax, qunits = data.sample.zacceptance
+    if _found_sesans:
+        # Pre-compute the Hankel matrix (H)
         SElength = Converter(data._xunit)(data.x, "A")
-        zaccept = Converter(qunits)(qmax, "1/A"),
+
+        theta_max = Converter("radians")(data.sample.zacceptance)[0]
+        q_max = 2 * np.pi / np.max(data.source.wavelength) * np.sin(theta_max)
+        zaccept = Converter("1/A")(q_max, "1/" + data.source.wavelength_unit),
+
         Rmax = 10000000
-        hankel = SesansTransform(data.x, SElength, zaccept, Rmax)
+        hankel = SesansTransform(data.x, SElength,
+                                 data.source.wavelength,
+                                 zaccept, Rmax)
         # Then return the actual transform, as if it were a smearing function
         return PySmear(hankel, model, offset=0)
Index: src/sas/sascalc/data_util/registry.py
===================================================================
--- src/sas/sascalc/data_util/registry.py	(revision 3ece5dd0ab4005c590b101addcee167772e5954b)
+++ src/sas/sascalc/data_util/registry.py	(revision 3ece5dd0ab4005c590b101addcee167772e5954b)
@@ -5,4 +5,5 @@
 and registers the built-in file extensions.
 """
+from __future__ import print_function
 
 from sas.sascalc.dataloader.loader_exceptions import NoKnownLoaderException
